#include "IIC.h"
#include "STC32G.h"

void I2C_Wait()
{
    while(!(I2CMSST & 0x40));
        //Uart1SendStr("i2c wait...\r\n");
    I2CMSST &= ~0x40;
}

void I2C_Start()
{
    I2CMSCR = 0x01;
    I2C_Wait();
}

void I2C_SendData(char dat)
{
    I2CTXD = dat;
    I2CMSCR = 0x02;
    I2C_Wait();
}

void I2C_RecvACK()
{
    I2CMSCR = 0x03;
    I2C_Wait();
}

char I2C_RecvData()
{
    I2CMSCR = 0x04;
    I2C_Wait();
    return(I2CRXD);
}

void I2C_SendACK()
{
    I2CMSST = 0x00;
    I2CMSCR = 0x05;
    I2C_Wait();
}

void I2C_SendNAK()
{
    I2CMSST = 0x01;
    I2CMSCR = 0x05;
    I2C_Wait();
}

void I2C_Stop()
{
    I2CMSCR = 0x06;
    I2C_Wait();
}

void I2C_Init()
{
		P_SW2 = 0xB0; //80:P15,P14; 90:P25,P24;B0:P32,P33
    I2CCFG = 0xe0;
    I2CMSST = 0x00;
}